namespace IntercanviCases.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class initial : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Oferta",
                c => new
                    {
                        ofertaID = c.Int(nullable: false, identity: true),
                        dataActualitzat = c.DateTime(nullable: false),
                        dataInici = c.DateTime(nullable: false),
                        dataFi = c.DateTime(nullable: false),
                        descCurta = c.String(nullable: false, maxLength: 20),
                        descLlarga = c.String(),
                        adreça = c.String(),
                        llitsSimples = c.Int(nullable: false),
                        metres2 = c.Int(nullable: false),
                        tipusAllotjament = c.Int(nullable: false),
                        animalsPermesos = c.Boolean(nullable: false),
                        cotxeDisponible = c.Boolean(nullable: false),
                        accesMinusvalids = c.Boolean(nullable: false),
                        fumarPermes = c.Boolean(nullable: false),
                        poblacioID = c.Int(nullable: false),
                        perfilID = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.ofertaID)
                .ForeignKey("dbo.Poblacio", t => t.poblacioID, cascadeDelete: true)
                .ForeignKey("dbo.Perfil", t => t.perfilID, cascadeDelete: true)
                .Index(t => t.poblacioID)
                .Index(t => t.perfilID);
            
            CreateTable(
                "dbo.Extra",
                c => new
                    {
                        extraID = c.Int(nullable: false, identity: true),
                        nom = c.String(),
                    })
                .PrimaryKey(t => t.extraID);
            
            CreateTable(
                "dbo.Poblacio",
                c => new
                    {
                        poblacioID = c.Int(nullable: false),
                        regioID = c.Int(nullable: false),
                        nom = c.String(),
                    })
                .PrimaryKey(t => t.poblacioID)
                .ForeignKey("dbo.Regio", t => t.regioID, cascadeDelete: true)
                .Index(t => t.regioID);
            
            CreateTable(
                "dbo.Regio",
                c => new
                    {
                        regioID = c.Int(nullable: false),
                        paisID = c.Int(nullable: false),
                        nom = c.String(),
                    })
                .PrimaryKey(t => t.regioID)
                .ForeignKey("dbo.Pais", t => t.paisID, cascadeDelete: true)
                .Index(t => t.paisID);
            
            CreateTable(
                "dbo.Pais",
                c => new
                    {
                        paisID = c.Int(nullable: false),
                        nom = c.String(),
                    })
                .PrimaryKey(t => t.paisID);
            
            CreateTable(
                "dbo.Perfil",
                c => new
                    {
                        perfilID = c.Int(nullable: false, identity: true),
                        nom = c.String(),
                        cognoms = c.String(),
                        email = c.String(nullable: false),
                        descripcio = c.String(),
                        ofertesActivades = c.Boolean(nullable: false),
                        fumadors = c.Boolean(nullable: false),
                        animals = c.Boolean(nullable: false),
                        poblacioViuID = c.Int(nullable: false),
                        poblacioPrefereixID = c.Int(),
                    })
                .PrimaryKey(t => t.perfilID)
                .ForeignKey("dbo.Poblacio", t => t.poblacioViuID)
                .ForeignKey("dbo.Poblacio", t => t.poblacioPrefereixID)
                .Index(t => t.poblacioViuID)
                .Index(t => t.poblacioPrefereixID);
            
            CreateTable(
                "dbo.Missatge",
                c => new
                    {
                        missatgeID = c.Int(nullable: false, identity: true),
                        assumpte = c.String(),
                        contingut = c.String(),
                        llegit = c.Boolean(nullable: false),
                        emissor_perfilID = c.Int(),
                        receptor_perfilID = c.Int(),
                    })
                .PrimaryKey(t => t.missatgeID)
                .ForeignKey("dbo.Perfil", t => t.emissor_perfilID)
                .ForeignKey("dbo.Perfil", t => t.receptor_perfilID)
                .Index(t => t.emissor_perfilID)
                .Index(t => t.receptor_perfilID);
            
            CreateTable(
                "dbo.ExtraOferta",
                c => new
                    {
                        ofertaID = c.Int(nullable: false),
                        extraID = c.Int(nullable: false),
                    })
                .PrimaryKey(t => new { t.ofertaID, t.extraID })
                .ForeignKey("dbo.Oferta", t => t.ofertaID, cascadeDelete: true)
                .ForeignKey("dbo.Extra", t => t.extraID, cascadeDelete: true)
                .Index(t => t.ofertaID)
                .Index(t => t.extraID);
            
        }
        
        public override void Down()
        {
            DropIndex("dbo.ExtraOferta", new[] { "extraID" });
            DropIndex("dbo.ExtraOferta", new[] { "ofertaID" });
            DropIndex("dbo.Missatge", new[] { "receptor_perfilID" });
            DropIndex("dbo.Missatge", new[] { "emissor_perfilID" });
            DropIndex("dbo.Perfil", new[] { "poblacioPrefereixID" });
            DropIndex("dbo.Perfil", new[] { "poblacioViuID" });
            DropIndex("dbo.Regio", new[] { "paisID" });
            DropIndex("dbo.Poblacio", new[] { "regioID" });
            DropIndex("dbo.Oferta", new[] { "perfilID" });
            DropIndex("dbo.Oferta", new[] { "poblacioID" });
            DropForeignKey("dbo.ExtraOferta", "extraID", "dbo.Extra");
            DropForeignKey("dbo.ExtraOferta", "ofertaID", "dbo.Oferta");
            DropForeignKey("dbo.Missatge", "receptor_perfilID", "dbo.Perfil");
            DropForeignKey("dbo.Missatge", "emissor_perfilID", "dbo.Perfil");
            DropForeignKey("dbo.Perfil", "poblacioPrefereixID", "dbo.Poblacio");
            DropForeignKey("dbo.Perfil", "poblacioViuID", "dbo.Poblacio");
            DropForeignKey("dbo.Regio", "paisID", "dbo.Pais");
            DropForeignKey("dbo.Poblacio", "regioID", "dbo.Regio");
            DropForeignKey("dbo.Oferta", "perfilID", "dbo.Perfil");
            DropForeignKey("dbo.Oferta", "poblacioID", "dbo.Poblacio");
            DropTable("dbo.ExtraOferta");
            DropTable("dbo.Missatge");
            DropTable("dbo.Perfil");
            DropTable("dbo.Pais");
            DropTable("dbo.Regio");
            DropTable("dbo.Poblacio");
            DropTable("dbo.Extra");
            DropTable("dbo.Oferta");
        }
    }
}
