﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IntercanviCases.Models
{
    public enum tipusAllotjament
    {
        casa,apartament
    }

    public class Oferta :IValidatableObject
    {
        public int ofertaID { get; set; }

        [ScaffoldColumn(false)]
        public DateTime dataActualitzat { get; set; }

        [Display(Name="Data d'inici")]
        [DataType(DataType.Date)]
        public DateTime dataInici { get; set; }

        [Display(Name = "Data final")]
        [DataType(DataType.Date)]
        public DateTime dataFi { get; set; }

        [Required]
        [Display(Name = "Descripció curta")]
        [StringLength(20)]
        public string descCurta { get; set; }

        [Display(Name = "Descripció llarga")]
        [DataType(DataType.MultilineText)]
        [StringLength(140)]
        public string descLlarga { get; set; }

        //public  foto {get; set; }
        public string adreça { get; set; }
        public int llitsSimples { get; set; }
        public int metres2 { get; set; }
        public tipusAllotjament tipusAllotjament { get; set; }
        public bool animalsPermesos { get; set; }
        public bool cotxeDisponible { get; set; }
        public bool accesMinusvalids { get; set; }
        public bool fumarPermes { get; set; }

        //la oferta té una llista d'extres i l'extra ho te d'ofertes, aquesta especificació de navegació crea automáticament la taula que relaciona les dos entitats per tenir la relació m:n
        public virtual ICollection<Extra> extres { get; set; }

        public int poblacioID { get; set; }
        public virtual Poblacio poblacio { get; set; }

        public int perfilID { get; set; }
        public virtual Perfil perfil { get; set; }

        public virtual ICollection<Missatge> missatges { get; set; }

        [InverseProperty("oferta1")]
        public virtual ICollection<Intercanvi> ofertes1 { get; set; }
        [InverseProperty("oferta2")]
        public virtual ICollection<Intercanvi> ofertes2 { get; set; }

        public IEnumerable<ValidationResult> Validate(ValidationContext validationContext)
        {
            var results = new List<ValidationResult>();
            if (dataFi < dataInici)
            {
                results.Add(new ValidationResult("La data final ha de ser més gran que la inicial"));
            }
            return results;
        }
    }
}