﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;

namespace IntercanviCases.Models
{
    public class Poblacio
    {
        [Key, DatabaseGenerated(DatabaseGeneratedOption.None)]
        public int poblacioID { get; set; }

        public int regioID { get; set; }
        
        [Display(Name = "Població")]
        public string nom { get; set; }

        public virtual Regio regio { get; set; }

        public virtual ICollection<Oferta> ofertes { get; set; }

        [InverseProperty("poblacioViu")]
        public virtual ICollection<Perfil> poblacionsPreferides { get; set; }
        [InverseProperty("poblacioPrefereix")]
        public virtual ICollection<Perfil> poblacionsOnViuen { get; set; }
    }
}